Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class BlockingFunction

    java.lang.Object
      com.sun.cldc.jna.Function
          com.sun.cldc.jna.BlockingFunction

    public class BlockingFunction

extends Function

BlockingFunction allows Java code to call C function that block.

Field Summary

Fields inherited from class com.sun.cldc.jna.Function
`DEBUG, funcAddr, name`

Method Summary
`int` | `call0()`
`int` | `call1(int i1)`
`int` | `call10(int i1, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10)`
`int` | `call2(int i1, int i2)`
`int` | `call3(int i1, int i2, int i3)`
`int` | `call4(int i1, int i2, int i3, int i4)`
`int` | `call5(int i1, int i2, int i3, int i4, int i5)`
`int` | `call6(int i1, int i2, int i3, int i4, int i5, int i6)`
`int` | `call7(int i1, int i2, int i3, int i4, int i5, int i6, int i7)`
`int` | `call8(int i1, int i2, int i3, int i4, int i5, int i6, int i7, int i8)`
`int` | `call9(int i1, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9)`
`protected void` | `postscript(int result)`
`protected void` | `preamble()`
`void` | `setDefaultTaskExecutor()` Set this blocking function to run using a default TaskExecutor.
`void` | `setTaskExecutor(TaskExecutor te)` Set this blocking function to run using a specific TaskExecutor.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class com.sun.cldc.jna.Function
`call1, call2, call2, call2, call3, call3, call3, call3, call3, call3, call3, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call4, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, call5, errno, getFunction, getName, returnString, returnStruct`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Function`
  Returns:
    a string representation of the object.

### preamble

    protected void preamble()

  Overrides:
    `preamble` in class `Function`

### postscript

    protected void postscript(int result)

  Overrides:
    `postscript` in class `Function`

### setTaskExecutor

    public void setTaskExecutor(TaskExecutor te)

  Set this blocking function to run using a specific TaskExecutor.

  Parameters:
    `te` -

### setDefaultTaskExecutor

    public void setDefaultTaskExecutor()

  Set this blocking function to run using a default TaskExecutor.

### call0

    public int call0()

  Overrides:
    `call0` in class `Function`

### call1

    public int call1(int i1)

  Overrides:
    `call1` in class `Function`

### call2

    public int call2(int i1,
                     int i2)

  Overrides:
    `call2` in class `Function`

### call3

    public int call3(int i1,
                     int i2,
                     int i3)

  Overrides:
    `call3` in class `Function`

### call4

    public int call4(int i1,
                     int i2,
                     int i3,
                     int i4)

  Overrides:
    `call4` in class `Function`

### call5

    public int call5(int i1,
                     int i2,
                     int i3,
                     int i4,
                     int i5)

  Overrides:
    `call5` in class `Function`

### call6

    public int call6(int i1,
                     int i2,
                     int i3,
                     int i4,
                     int i5,
                     int i6)

  Overrides:
    `call6` in class `Function`

### call7

    public int call7(int i1,
                     int i2,
                     int i3,
                     int i4,
                     int i5,
                     int i6,
                     int i7)

  Overrides:
    `call7` in class `Function`

### call8

    public int call8(int i1,
                     int i2,
                     int i3,
                     int i4,
                     int i5,
                     int i6,
                     int i7,
                     int i8)

  Overrides:
    `call8` in class `Function`

### call9

    public int call9(int i1,
                     int i2,
                     int i3,
                     int i4,
                     int i5,
                     int i6,
                     int i7,
                     int i8,
                     int i9)

  Overrides:
    `call9` in class `Function`

### call10

    public int call10(int i1,
                      int i2,
                      int i3,
                      int i4,
                      int i5,
                      int i6,
                      int i7,
                      int i8,
                      int i9,
                      int i10)

  Overrides:
    `call10` in class `Function`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"